JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.files.uploadURL({
filename: 'x',
mimeType: 'x',
sizeBytes: 1,
});
console.log(response.expiresAt);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.files.upload_url(
filename="x",
mime_type="x",
size_bytes=1,
)
print(response.expires_at)curl --request POST \
--url https://api.mobilerun.ai/v1/agents/files/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123
}
'
{
"expiresAt": "2023-11-07T05:31:56Z",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"putUrl": "<string>"
}{
"addingBytes": 123,
"currentBytes": 123,
"error": "quota_exceeded",
"maxPending": 123,
"message": "<string>",
"pendingCount": 123,
"quotaBytes": 123,
"reason": "bytes"
}{
"error": "idempotency_conflict",
"message": "<string>"
}Files
Mint a presigned PUT URL for a user file upload
POST
/
agents
/
files
/
upload-url
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.files.uploadURL({
filename: 'x',
mimeType: 'x',
sizeBytes: 1,
});
console.log(response.expiresAt);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.files.upload_url(
filename="x",
mime_type="x",
size_bytes=1,
)
print(response.expires_at)Authorizations
Bearer token via Authorization header
Headers
Minimum string length:
1Body
application/json
Was this page helpful?
⌘I